Skip to main content
GET
/
v1
/
links
/
{link_id}
/
documents
List all documents
curl --request GET \
  --url https://prod.truv.com/v1/links/{link_id}/documents/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
[
  {
    "filename": "most.recent.paystub.pdf",
    "id": "24d7e80942ce4ad58a93f70ce4115f5c",
    "type": "W2",
    "subtype": "F1099_DIV",
    "file": "https://cdn.truv.com/doc_upload/most.recent.paystub.pdf",
    "mimetype": "application/pdf",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Link ID

Response

filename
string
required
read-only

Document file name

Example:

"most.recent.paystub.pdf"

id
string
read-only

Document ID

Example:

"24d7e80942ce4ad58a93f70ce4115f5c"

type
enum<string>
read-only

Document type

Available options:
PAYSTUB,
W2,
F1099,
F1040,
VOLUNTEER_LETTER,
INSURANCE_HOME_POLICY,
INSURANCE_AUTO_POLICY
Example:

"W2"

subtype
enum<string> | null
read-only

Document subtype

Available options:
F1099_DIV,
F1099_G,
F1099_INT,
F1099_MISC,
F1099_NEC,
F1099_R,
F_SSA1099,
null
file
string<uri>
read-only

Document file link. The file could be absent or partially uploaded.

Example:

"https://cdn.truv.com/doc_upload/most.recent.paystub.pdf"

mimetype
string
read-only

Document mimetype

Example:

"application/pdf"

created_at
string<date-time>
read-only

Date when a document was uploaded

updated_at
string<date-time>
read-only

Date when a document was updated